Update cubeb from upstream to 4c18a84

RESOLVED FIXED in Firefox 60

Status

()

enhancement
P2
normal
Rank:
15
RESOLVED FIXED
Last year
Last year

People

(Reporter: bryce, Assigned: bryce)

Tracking

(Blocks 1 bug)

Trunk
mozilla60
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox60 fixed)

Details

Attachments

(7 attachments)

Update cubeb to enable WASAPI loopback behaviour implemented by https://github.com/kinetiknz/cubeb/pull/387

As this has changed the cubeb API by adding a prefs member to cubeb_stream_params we should also bring in changes to the rust cubeb impls. These changes can be brought in pending their completion in Bug 1432492.

The cubeb changes have also added an extra test file which should be added to the existing update script and should be added to the list of tests to run.

Cubeb update will bring following commits:

4c18a84 Explicitly init stream_params.prefs in tests.
3baab54 WASAPI: Explain why we don't check AUDCLNT_BUFFERFLAGS_DATA_DISCONTINUITY
a0491a0 WASAPI: Hide loopback dummy output from data callback.
0986399 Update loopback test to check that output is not passed in data callback
4945f4a Non-wasapi backends return errors if loopback is requested.
9e28c42 Respond to review comments.
41221a2 Add loopback test where devices are explicitly selected via device id.
701178c Add test for loopback when playback is silent
2bb275d Add further test for separate loopback and playback streams.
3f5966c Add loopback test file and test for duplex stream with loopback.
ae7120d Use duplex to drive loopback, even if no output is requested.
2577549 WASAPI: Modify setup_wasapi_stream_one_side so a loopback device can be obtained.
0a15b9e Add stream preferences enum to stream params, add a loopback pref.
94d1c0d Rework get_input_buffer to better function with pull based streams and remove cruft.
Assignee

Updated

Last year
Assignee: nobody → bvandyk
Blocks: 1423673
Depends on: 1432492
Rank: 15
Priority: -- → P2
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)

Comment 11

Last year
mozreview-review
Comment on attachment 8946395 [details]
Bug 1432869 - Update locks to reflect new cubeb-rs, and audioipc versions.

https://reviewboard.mozilla.org/r/216342/#review222144
Attachment #8946395 - Flags: review?(giles) → review+
Comment on attachment 8946392 [details]
Bug 1432869 - Update cubeb-rs to commit c7e5ef0.

https://reviewboard.mozilla.org/r/216336/#review222204
Attachment #8946392 - Flags: review?(dglastonbury) → review+
Comment on attachment 8946393 [details]
Bug 1432869 - Update cubeb-pulse-rs to git commit deadde7.

https://reviewboard.mozilla.org/r/216338/#review222206

::: media/libcubeb/cubeb-pulse-rs/README_MOZILLA:8
(Diff revision 1)
>  made were those applied by update.sh and the addition of
>  Makefile.in build files for the Mozilla build system.
>  
>  The cubeb-pulse-rs git repository is: https://github.com/djg/cubeb-pulse-rs.git
>  
> -The git commit ID used was cb7141e3aae5471b3a8ac1e4524f35d04edcdf4e (2018-01-17 13:10:58 +1000)
> +The git commit ID used was deadde7d14e0010628471e33a538a0a1e59765ff (2018-01-25 10:00:16 +1000)

This version doesn't match the commit message.

(deadde7d sounds like a great hash)
Attachment #8946393 - Flags: review?(dglastonbury) → review+
Comment on attachment 8946394 [details]
Bug 1432869 - Update media/audioipc to d779860.

https://reviewboard.mozilla.org/r/216340/#review222208

::: media/audioipc/README_MOZILLA:8
(Diff revision 1)
>  made were those applied by update.sh and the addition of
>  Makefile.in build files for the Mozilla build system.
>  
>  The audioipc-2 git repository is: https://github.com/djg/audioipc-2.git
>  
> -The git commit ID used was 71cc67f44b803e0288997247c060375196f1cf9b (2018-01-19 17:16:33 +1000)
> +The git commit ID used was ac21128a444cec03e1712251b382f60e52e7bf47 (2018-01-29 09:14:37 -0500)

Also doesn't match the commit message.
Attachment #8946394 - Flags: review?(dglastonbury) → review+
Assignee

Comment 15

Last year
mozreview-review-reply
Comment on attachment 8946394 [details]
Bug 1432869 - Update media/audioipc to d779860.

https://reviewboard.mozilla.org/r/216340/#review222208

> Also doesn't match the commit message.

Thanks! Fixed this, and I've also updated the patch file to accomodate the new Cargo.toml. Let me know if it looks good.
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)

Comment 19

Last year
mozreview-review
Comment on attachment 8946391 [details]
Bug 1432869 - Update usage of cubeb_stream_params to set newly exposed prefs member.

https://reviewboard.mozilla.org/r/216334/#review222292

::: dom/media/GraphDriver.cpp:650
(Diff revision 1)
>    }
>  
>    input = output;
>    input.channels = mInputChannels;
>    input.layout = CUBEB_LAYOUT_UNDEFINED;
> +  input.prefs = CUBEB_STREAM_PREF_NONE;

Nit: this is not necessary because in line 647 we have done `input = output` so pref is already set to none.
Attachment #8946391 - Flags: review?(achronop) → review+

Comment 20

Last year
mozreview-review
Comment on attachment 8946389 [details]
Bug 1432869 - Add loopback gtest to cubeb's update.sh.

https://reviewboard.mozilla.org/r/216330/#review222298

Looks good, very small patch, you can melt it to the rest cubeb import.
Attachment #8946389 - Flags: review?(achronop) → review+

Comment 21

Last year
mozreview-review
Comment on attachment 8946390 [details]
Bug 1432869 - Update cubeb from upstream to 4c18a84.

https://reviewboard.mozilla.org/r/216332/#review222302

Looks good, thanks
Attachment #8946390 - Flags: review?(achronop) → review+
Just keep in your mind for next time, you can do a broader try push if you want to catch all the errors in advance. Something like: reftest,crashtest,cppunit,gtest,mochitest-bc,mochitest-media
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)

Comment 28

Last year
Pushed by bvandyk@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/6e3fe07cea2f
Add loopback gtest to cubeb's update.sh. r=achronop
https://hg.mozilla.org/integration/autoland/rev/821fbf52abe6
Update cubeb from upstream to 4c18a84. r=achronop
https://hg.mozilla.org/integration/autoland/rev/721942e0ad16
Update usage of cubeb_stream_params to set newly exposed prefs member. r=achronop
https://hg.mozilla.org/integration/autoland/rev/a00a6bd32d5b
Update cubeb-rs to commit c7e5ef0. r=kamidphish
https://hg.mozilla.org/integration/autoland/rev/a777ecc69612
Update cubeb-pulse-rs to git commit deadde7. r=kamidphish
https://hg.mozilla.org/integration/autoland/rev/37d7c64a30a1
Update media/audioipc to d779860.  r=kamidphish
https://hg.mozilla.org/integration/autoland/rev/b5c0f6c1c38c
Update locks to reflect new cubeb-rs, and audioipc versions. r=rillian
You need to log in before you can comment on or make changes to this bug.